body {
	font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
	margin: 0;
	padding: 0;
	background-color: #f4f4f4;

	/* transition: background-color 0.3s ease; */
}

body.dark-mode {
	background-color: #333333;
	color: #fff;

	/* transition: background-color 0.3s ease; */

	.container, .modal-content {
		background-color: #222;
		/* transition: background-color 0.7s ease; */
	}

	h1, h2, h3{
		color: #b6b6b6
	}

	p {
		color: #808080;
	}

	.button {
		background-color: rgb(53, 70, 179);
		/* transition: background-color 1s ease; */
	}

	.button:hover {
		background-color: #3d70dd;
	}

	#toggleDarkMode{
		filter: none;
	}
}

.changing-theme {
	animation: themeChangeAnimation 1s ease;
}

@keyframes themeChangeAnimation {
	from {
		opacity: 0; /* Esempio di effetto di animazione */
	}
	to {
		opacity: 1;
	}
}

.container {
	max-width: 800px;
	margin: 50px auto;
	text-align: center;
	padding: 20px;
	background-color: #fff;
	border-radius: 8px;
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
	position: relative;
	/* transition: background-color 0.7s ease; */
}

.pwa-text {
    position: absolute;
    top: 20px;
    left: 30px;
    font-size: 20px;
    font-weight: bold;
}

/* Stile dell'icona */
.help-icon {
    display: inline-block;
    background: #007bff;
    color: white;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    text-align: center;
    font-size: 14px;
    line-height: 20px;
    cursor: pointer;
    margin-left: 5px;
}

/* Sfondo modale */
.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
    z-index: 5;
}

/* Contenuto del modale */
.modal-content {
    background: white;
    padding: 20px;
    border-radius: 10px;
    width: 300px;
    position: relative;
    text-align: center;
}

/* Pulsante di chiusura */
.close-btn {
    position: absolute;
    top: 10px;
    right: 15px;
    cursor: pointer;
    font-size: 20px;
    font-weight: bold;
    color: #888;
}

.close-btn:hover {
    color: black;
}

/* container delle label  */
.labelContainer
{
    display: flex;
    flex-direction: column; /* Dispone gli elementi uno sotto l'altro */
    align-items: flex-start; /* Dispone gli elementi a sinistra */
    margin: 20px 0; /* Opzionale: margine sopra e sotto il div */
}

.label
{
    margin-bottom: 10px; /* Spazio tra le label */
}

h1, h2{
	color: #333333;
}

p {
	color: #666666;
	margin-bottom: 20px;
}
/*
.buttons-container {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}
*/

.buttons-container {
	display: flex;
	flex-direction: column; /* Imposta la direzione del layout su colonna */
	align-items: center; /* Centra gli elementi verticalmente */
	text-align: center; /* Allinea il testo al centro */
}

.buttons-container h2 {
	margin-bottom: 10px; /* Aggiunge un margine inferiore al titolo */
}
/*
.buttons-container .button {
	margin: 5px; 
}
*/
@media screen and (min-width: 600px) {
	.buttons-container {
		flex-direction: row; /* Imposta la direzione del layout su riga */
		flex-wrap: wrap; /* Permette il wrap dei bottoni quando finisce lo spazio */
		justify-content: center; /* Centra i bottoni lungo l'asse orizzontale */
	}

	/* Rimuovi la regola di margin dei bottoni per sovrascrivere quella precedente */
	.buttons-container .button {
		margin: 5px; /* Aggiunge uno spazio tra i bottoni */

		width: 200px; 
		height: 40px; 
	}
}

.buttons-container a {
	flex: 1;
	max-width: 300px; /* Imposta una larghezza massima per mantenere la leggibilità su schermi più grandi */
	margin: 0 10px 10px 10px;

	display: flex; /* Usa flexbox per i link per gestire meglio il layout */
	justify-content: center; /* Centra il contenuto orizzontalmente */
	align-items: center;
}
/*
.button {
	display: inline-block;
	padding: 10px 20px;
	margin: 0 10px;
	text-decoration: none;
	color: #fff;
	background-color: #4285f4;
	border-radius: 5px;
	
	flex-grow: 1;
	flex-shrink: 1;
	flex-basis: 100px;
	text-align: center;
}
*/
.button {
	display: flex;
	justify-content: center;
	align-items: center;
	padding: 10px 20px;
	margin: 10px;
	text-decoration: none;
	color: #fff;
	background-color: #4285f4;
	border-radius: 5px;
	flex: 1 1 100px;
	width: 100%; 
	max-height: 40px;
	max-width: 300px;
	text-align: center;
	transition: background-color 0.3s ease;
}

.button:hover {
	background-color: #3367d6;
}

#toggleDarkMode {
	width: 40px;
	height: 40px;
	border-radius: 50%;
	background-color: #ffffff;
	border: none; 
	cursor: pointer;
	filter: invert(1);
	position: absolute;
	top: 20px;
	right: 20px;
}

#toggleDarkMode img {
	display: block;
	width: 100%; 
	height: auto; 
}

.container p {
	text-align: left;
}

.divider {
	border-top: 1px solid black;
	margin-top: 20px; /* Adjust the margin as needed */
	margin-bottom: 20px; /* Adjust the margin as needed */
}


select.form-control
{
  border: 1px solid #ced4da;
  border-radius: 4px; 
  background-color: #fff; 
  color: #495057; 
  padding: 0.375rem 0.75rem; 
  width: 100%;
  margin-bottom: 20px;
  margin-top: 10px;
}

select.form-control option 
{
  background-color: #fff; 
  color: #495057; 
}

/* CSS for the stem extension download button  */
.new-program-button {
    position: relative;
    display: inline-block;
    padding: 10px 20px;
    font-size: 16px;
    color: #fff;
    background-color: #3498db;
    border: none;
    border-radius: 5px;
    text-decoration: none;
    cursor: pointer;
}

/* Styling for the "New!" badge */
.new-badge {
    position: absolute;
    top: -8px;
    right: -8px;
    background-color: #FFD700;
    color: #333;
    border: 2px solid #FFA500;
    transform: rotate(15deg); 
    font-size: 12px;
    font-weight: bold;
    padding: 2px 6px;
    border-radius: 50%;
    animation: pulsate 1.5s infinite ease-in-out;
}

/* Pulsate animation for the "New!" badge */
@keyframes pulsate {
    0%, 100% {
        transform: rotate(15deg) scale(1);
    }
    50% {
        transform: rotate(15deg) scale(1.2);
    }
}